Arch Site/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 43: Line 43:
* {{PropertyData|Extrusion Vector}}: An extrusion vector to use when performing boolean operations
* {{PropertyData|Extrusion Vector}}: An extrusion vector to use when performing boolean operations
* {{PropertyData|Remove Splitter}}: Remove splitters from the resulting shape
* {{PropertyData|Remove Splitter}}: Remove splitters from the resulting shape
* {{PropertyData|North Deviation}}: The angle between the true North and the north direction in this document
* {{PropertyData|Declination}}: The angle between the true North and the North direction in this document, that is, the Y axis.{{version|0.18}} This means that by default (declination of 0 degrees) North points to the Y axis, and East to the X axis. This property was previously known as {{PropertyData|North Deviation}}.


=== View ===
=== View ===
Line 67: Line 67:
== Solar diagram ==
== Solar diagram ==


If [http://pysolar.org/ pysolar] is installed on your system, [[Arch Site]]s can display a solar diagram. For this, {{PropertyData|Longitude}}, {{PropertyData|Latitude}} and {{PropertyData|NorthDeviation}} properties must be correctly set, and {{PropertyView|SolarDiagram}} view property turned on. {{Version|0.17}}
If [http://pysolar.org/ pysolar] is installed on your system, [[Arch Site|Arch Sites]] can display a solar diagram. For this, {{PropertyData|Longitude}}, {{PropertyData|Latitude}} and {{PropertyData|Declination}} (previously {{PropertyData|North Deviation}}) must be correctly set, and {{PropertyView|Solar Diagram}} set to {{TRUE}}. {{Version|0.17}}


[[Image:Freecad-solar-diagram.jpg]]
[[Image:Freecad-solar-diagram.jpg]]
Line 96: Line 96:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()


Site = Arch.makeSite(Wall)
Building = Arch.makeBuilding([Wall])
Site = Arch.makeSite([Building])

FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
FreeCAD.Gui.ActiveDocument.ActiveView.viewIsometric()
}}
}}


=== Solar diagram ===
=== Solar diagram ===


As long as the {{incode|pysolar}} module is present, a solar diagram can be added to the site. Set the longitude, latitude and declination angles as appropriate, as well as an adequate scale for the size of your model.
FreeCAD can add a solar diagram to the active document if the {{incode|Pysolar}} (or {{incode|pysolar}}?) module is available. This module only works with Python3.

Please note that modern versions of {{incode|pysolar}} only work with Python 3.
{{Code|code=
Site.Longitude = -46.38
Site.Latitude = -23.33
Site.Declination = 30
#Site.Compass = True

Site.ViewObject.SolarDiagram = True
Site.ViewObject.SolarDiagramScale = 10000
FreeCAD.ActiveDocument.recompute()
}}

=== Solar diagram independent of Site ===


A solar diagram can be created with the following function
A solar diagram can be created with the following function, independently of any site.
{{Code|code=
{{Code|code=
Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
Line 110: Line 127:


* Creates a solar diagram as a Pivy node, using {{incode|longitude}} and {{incode|latitude}}, with an optional {{incode|scale}}.
* Creates a solar diagram as a Pivy node, using {{incode|longitude}} and {{incode|latitude}}, with an optional {{incode|scale}}.
* If {{incode|complete}} is {{incode|True}}, the 12 months are drawn.
* If {{incode|complete}} is {{incode|True}}, the 12 months are drawn, which shows the full solar [https://en.wikipedia.org/wiki/Analemma analemma].


{{Code|code=
{{Code|code=
import FreeCADGui, Arch
import FreeCADGui, Arch


Node = Arch.makeSolarDiagram(-46.38, -23.33)
Node = Arch.makeSolarDiagram(-46.38, -23.33, scale=10000, complete=True)
FreeCADGui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)
FreeCAD.Gui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)
}}
}}
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">

Revision as of 08:04, 6 May 2019

Arch Site

Umístění Menu
Arch → Site
Pracovní stoly
Arch
Výchozí zástupce
S I
Představen ve verzi
-
Viz také
Arch Floor, Arch Building

Popis

Staveniště je speciální typ skupinového objektu FreeCADu zvlášť vhodný pro zobrazení celého staveniště nebo terénu. Většinou se používá pro uspořádání modelu obsahujícího objekty Stavba

Použití

  1. Volitelně lze vybrat jeden nebo více objektů, které lze vložit do Vašeho nového staveniště
  2. Stiskněte tlačítko Staveniště nebo klávesy S a I

Volby

  • Po vytvoření staveniště můžete přidávat další objekty pomocí myši přetáhnutím a upuštěním (drag and drop) na požadované místo v panelu stromu nebo použitím nástroje Přidat
  • Odstranit objekty ze staveniště můžete podobně myší přetáhnutím a upuštěním objektu mimo panelu stromu nebo použitím nástroje Odebrat.

Properties

Data

  • ÚdajeTerrain: The base terrain of this site
  • ÚdajeAddress: The street and housenumber of this site
  • ÚdajePostal Code: The postal or zip code of this site
  • ÚdajeCity: The city of this site
  • ÚdajeCountry: The country of this site
  • ÚdajeLatitude: The latitude of this site
  • ÚdajeLongitude: The longitude of this site
  • ÚdajeUrl: An url that shows this site in a mapping website
  • ÚdajeProjected Area: The area of the projection of this object onto the XY plane
  • ÚdajePerimeter: The perimeter length of this terrain
  • ÚdajeAddition Volume: The volume of earth to be added to this terrain
  • ÚdajeSubtraction Volume: The volume of earth to be removed from this terrain
  • ÚdajeExtrusion Vector: An extrusion vector to use when performing boolean operations
  • ÚdajeRemove Splitter: Remove splitters from the resulting shape
  • ÚdajeDeclination: The angle between the true North and the North direction in this document, that is, the Y axis.introduced in version 0.18 This means that by default (declination of 0 degrees) North points to the Y axis, and East to the X axis. This property was previously known as ÚdajeNorth Deviation.

View

  • PohledSolar Diagram: Shows or hides the solar diagram
  • PohledSolar Diagram Color: The color of the solar diagram
  • PohledSolar Diagram Position: The position of the solar diagram
  • PohledSolar Diagram Scale: The scale of the solar diagram

Typical workflow

Start by creating an object that represents your terrain. It must be an open surface, not a solid. For example, it is easy to import mesh data, that can be turned into a Part Shape from menu Part → Create Shape from Mesh. Then, create a Site object, and set its ÚdajeTerrain property to the Part we just created:

Create some volumes (they must be solids) that represent the areas that you wish to be excavated or filled. Double-click the Site object in the Tree View, and add these volumes to the Additions or Subtractions groups. Click OK.

The site geometry will be recomputed and the areas, perimeter, and volumes properties recalculated.

Solar diagram

If pysolar is installed on your system, Arch Sites can display a solar diagram. For this, ÚdajeLongitude, ÚdajeLatitude and ÚdajeDeclination (previously ÚdajeNorth Deviation) must be correctly set, and PohledSolar Diagram set to true. introduced in version 0.17

Skriptování

Nástroj Staveniště může být využit v makrech a z konzoly Pythonu použitím následující funkce:

Site = makeSite(objectslist=None, baseobj=None, name="Site")

vytvoří staveniště včetně objektů ze seznamu objectslist

Příklad:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall])
Site = Arch.makeSite([Building])

FreeCAD.ActiveDocument.recompute()
FreeCAD.Gui.ActiveDocument.ActiveView.viewIsometric()

Solar diagram

As long as the pysolar module is present, a solar diagram can be added to the site. Set the longitude, latitude and declination angles as appropriate, as well as an adequate scale for the size of your model.

Please note that modern versions of pysolar only work with Python 3.

Site.Longitude = -46.38
Site.Latitude = -23.33
Site.Declination = 30
#Site.Compass = True

Site.ViewObject.SolarDiagram = True
Site.ViewObject.SolarDiagramScale = 10000
FreeCAD.ActiveDocument.recompute()

Solar diagram independent of Site

A solar diagram can be created with the following function, independently of any site.

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Creates a solar diagram as a Pivy node, using longitude and latitude, with an optional scale.
  • If complete is True, the 12 months are drawn, which shows the full solar analemma.
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33, scale=10000, complete=True)
FreeCAD.Gui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)